package eu.etaxonomy.taxeditor.navigation.internal;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

import eu.etaxonomy.taxeditor.navigation.NavigatorStateManager;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * The activator class controls the plug-in life cycle
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class TaxeditorNavigationPlugin extends AbstractUIPlugin {

	// The plug-in ID
	/** Constant <code>PLUGIN_ID="eu.etaxonomy.taxeditor.navigator"</code> */
	public static final String PLUGIN_ID = "eu.etaxonomy.taxeditor.navigator";

	// The shared instance
	private static TaxeditorNavigationPlugin plugin;
	
	/**
	 * The constructor
	 */
	public TaxeditorNavigationPlugin() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	/** {@inheritDoc} */
	public void start(BundleContext context) throws Exception {
		super.start(context);

		NavigatorStateManager stateManager = new NavigatorStateManager();
		CdmStore.getContextManager().addContextListener(stateManager);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	/** {@inheritDoc} */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static TaxeditorNavigationPlugin getDefault() {
		return plugin;
	}

	/**
	 * Returns an image descriptor for the image file at the given
	 * plug-in relative path
	 *
	 * @param path the path
	 * @return the image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(String path) {
		return imageDescriptorFromPlugin(PLUGIN_ID, path);
	}
}
